Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81823 - Internal compiler error at dwarf2out.c:1341
Summary: Internal compiler error at dwarf2out.c:1341
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.1
Hardware: alpha
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 11:08 UTC by Denis Komissarov
Modified: 2007-03-27 04:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 11:53:44 UTC


Attachments (Terms of Use)

Description Denis Komissarov 2003-01-14 11:08:04 UTC
Description of problem:

g++ v. 2.96.87 and 2.96.112 on Alpha failes to compile code where function 
takes large parameters by value. 

Version-Release number of selected component (if applicable):

g++ v. 2.96.87 or 2.96.112 

How reproducible:

Simply try to compile example below: 

---------------------------------------- 
typedef struct { 
   char a[1024*34]; 
} tt; 

void f(tt t) 
{ 
} 

main() 
{ 
   tt t;  
   f(t); 
} 
________________________________________

Steps to Reproduce:
1.
2.
3.
    
Actual results:

Compiler 2.96.112 reports:

gcc-test.c: In function `int main ()':
gcc-test.c:13: Internal compiler error in dwarf2out_frame_debug_expr, 
at dwarf2out.c:1341
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected results:
:-) I hope you know what is expected...

Additional info:
The lagest argument value handled is 32Kbytes + 32 bytes.

Comment 1 Jakub Jelinek 2003-01-15 09:55:33 UTC
7.1/alpha is no longer supported. Grab some newer compiler, like GCC 3.2.1.

Comment 2 Denis Komissarov 2003-01-17 16:54:32 UTC
Compiler g++ 3.2.1 has the same bug on Alpha.

Comment 3 Richard Henderson 2004-10-03 11:53:44 UTC
Fails through gcc 3.3; fixed in gcc 3.4.


Note You need to log in before you can comment on or make changes to this bug.